module main	(
	input	clk50,
	output [7:0] out
); 	

wire clk10;

pll pll0(
	.refclk(clk50),
	.outclk_0(clk10)
);

localparam CNT_BIT = 24;
reg [CNT_BIT-1:0] cnt;

always @(posedge clk10)
	cnt <= cnt + 1'b1;

wire [31:0] lpfOut;

LowPass1Filt LPf1 (
	.clk(clk10),
	.u({31{cnt[CNT_BIT-1]}}),	// genero l'onda quadra
	.y(lpfOut),
	.Ku(214737),
	.Ky(4294537820));

assign out = lpfOut[31-:8];
endmodule

